# Interface methods for submodule: SparseFieldLevelSetImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import FiniteDifferenceImageFilterProxy as _FiniteDifferenceImageFilterProxy


# Interface methods for class: SparseFieldLevelSetImageFilter
class SparseFieldLevelSetImageFilterProxy(_FiniteDifferenceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetNumberOfLayers(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfLayers(self) -> int:
		""""""
		...

	def SetIsoSurfaceValue(self, _arg: float) -> None:
		""""""
		...

	def GetIsoSurfaceValue(self) -> float:
		""""""
		...

	def SetInterpolateSurfaceLocation(self, _arg: bool) -> None:
		""""""
		...

	def GetInterpolateSurfaceLocation(self) -> bool:
		""""""
		...

	def InterpolateSurfaceLocationOn(self) -> None:
		""""""
		...

	def InterpolateSurfaceLocationOff(self) -> None:
		""""""
		...

